# Auth3 Dart SDK

The official [Auth3](https://auth3.dev/?utm_source=github&utm_medium=sdk&utm_campaign=dart-admin) dart SDK library.

## API Documentation

Check-out the API documentation at [https://docs.auth3.dev/apis/identity-platform/administrative](https://docs.auth3.dev/apis/identity-platform/administrative?utm_source=github&utm_medium=sdk&utm_campaign=dart-admin) for further help.

## Platform support 

Our libraries can be run on all environments including:

* `server`
* `web` (e.g. Single-Page Aplications like AngularDart)
* and `flutter` (including `flutter for web`).

## Installation

Add to your `pubspec.yaml`: 

```yaml
auth3_admin_sdk: 1.0.0
```

Then run:

```
pub get
````

### Additional help

You can find further help, examples, tools and suggestions [here](https://grpc.io/docs/languages/dart/quickstart). For a deeper understanding of networking, naming conventions and error handling refer to [this document](https://developers.google.com/protocol-buffers/docs/darttutorial).

## Change Language

Not your target language? Check out our official SDKs for: 

  * [go](https://github.com/auth3-dev/go-sdk)
  * [cpp](https://github.com/auth3-dev/cpp-sdk)
  * [java](https://github.com/auth3-dev/admin-sdk)
  * [nodejs](https://github.com/auth3-dev/nodejs-sdk)
  * [dart](https://github.com/auth3-dev/dart-sdk)
  * [python](https://github.com/auth3-dev/python-sdk)
  * [php](https://github.com/auth3-dev/php-sdk)
  * [ruby](https://github.com/auth3-dev/ruby-sdk)
  * [rust](https://github.com/auth3-dev/rust-sdk)
  * [scala](https://github.com/auth3-dev/scala-sdk)
  * [swift](https://github.com/auth3-dev/swift-sdk)
  * [c#](https://github.com/auth3-dev/csharp-sdk)
  
## Contributing

At this time we don't accept external contributions, but we're open for feedbacks and requests. We're always looking for contributions on our security, refer to [our dedicated page](https://auth3.dev/bounty-program?utm_source=github&utm_medium=sdk&utm_campaign=dart-admin) for more.

## Support

Customers of the Auth3 Identity Platform can access support through the official channels available on [our website](https://auth3.dev/?utm_source=github&utm_medium=sdk&utm_campaign=dart-admin). We won't be able to accomodate Customer requests through the bug tracker for security reasons. 

## License

Read the [LICENSE](../LICENSE).  